<script setup>
//imports
import {computed} from 'vue'
// props
const props = defineProps({
  rate: { type: Number, default: 0 }
})
// data
const ratingPercentage = computed(() => {
    return props.rate * 20
})
</script>
<template>
  <div class="flex items-center gap-2">
    <span class="text-sm">{{ props.rate }}</span>
    <div class="relative flex items-center w-fit">
    <div class="absolute overflow-hidden" :style="`max-width : ${ratingPercentage}%`">
      <div class="flex items-center gap-1">
        <i class="flaticon-solarstarbold text-secondary"></i>
        <i class="flaticon-solarstarbold text-secondary"></i>
        <i class="flaticon-solarstarbold text-secondary"></i>
        <i class="flaticon-solarstarbold text-secondary"></i>
        <i class="flaticon-solarstarbold text-secondary"></i>
      </div>
    </div>

    <div class="flex items-center gap-1">
      <i
        class="flaticon-solarstarbold text-background-tertiary-light dark:text-background-tertiary-dark"
      ></i>
      <i
        class="flaticon-solarstarbold text-background-tertiary-light dark:text-background-tertiary-dark"
      ></i>
      <i
        class="flaticon-solarstarbold text-background-tertiary-light dark:text-background-tertiary-dark"
      ></i>
      <i
        class="flaticon-solarstarbold text-background-tertiary-light dark:text-background-tertiary-dark"
      ></i>
      <i
        class="flaticon-solarstarbold text-background-tertiary-light dark:text-background-tertiary-dark"
      ></i>
    </div>
  </div>
  </div>
</template>
